/******************************************************************************
  Copyright (C) 2011 Renesas Electronics Corporation, All Rights Reserved.
*******************************************************************************
* File Name    : command.h
* Version      : 1.00
* Description  : Command Header file
******************************************************************************
* History : DD.MM.YYYY Version Description
******************************************************************************/

#ifndef _COMMAND_H
#define _COMMAND_H

/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include "cmd.h"

/******************************************************************************
Typedef definitions
******************************************************************************/


/******************************************************************************
Macro definitions
******************************************************************************/
#define LED_1_OFF		{SET_BIT(P1,0,1);}
#define LED_2_OFF		{SET_BIT(P1,1,1);}
#define LED_1_ON		{SET_BIT(P1,0,0);}
#define LED_2_ON		{SET_BIT(P1,1,0);}
/******************************************************************************
Variable Externs
******************************************************************************/

/******************************************************************************
Functions Prototypes
*****************************************************************************/
/* Call to this API on while loop of main() */
void COMMAND_PollingProcessing(void);

#endif /* _COMMAND_H */

