/******************************************************************************
  Copyright (C) 2011 Renesas Electronics Corporation, All Rights Reserved.
*******************************************************************************
* File Name    : debug.h
* Version      : 1.00
* Description  : Debug Header file
******************************************************************************
* History : DD.MM.YYYY Version Description
******************************************************************************/

#ifndef _DEBUG_H
#define _DEBUG_H

/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
//#ifdef __DEBUG
#include "cmd.h"			/* Command Driver */
#include "command.h"			/* Command Interface */
#include <string.h>			/* Standard String */
#include <stdarg.h>			/* Variant Args */
//#endif

/******************************************************************************
Typedef definitions
******************************************************************************/

/******************************************************************************
Macro definitions
******************************************************************************/
//#ifdef __DEBUG
	#define	DEBUG_Init					CMD_Init
	#define	DEBUG_Start					CMD_Start
	#define	DEBUG_Stop					CMD_Stop
	#define DEBUG_Printf					CMD_Printf
	#define DEBUG_PollingProcessing				COMMAND_PollingProcessing
	#define DEBUG_AckNewLine				CMD_AckCmdReceived
//#else
//	//#define __DEBUG_HEAD				/
//	#define	DEBUG_Init()				;//__DEBUG_HEAD/
//	#define	DEBUG_Start()				;//__DEBUG_HEAD/
//	#define DEBUG_Stop()				;//__DEBUG_HEAD/
//	#define DEBUG_Printf				;//__DEBUG_HEAD/
//	#define DEBUG_PollingProcessing()		;//__DEBUG_HEAD/
//	#define DEBUG_AckNewLine()			;//__DEBUG_HEAD/
//#endif

/******************************************************************************
Variable Externs
******************************************************************************/

/******************************************************************************
Functions Prototypes
*****************************************************************************/


#endif /* _DEBUG_H */

